summaryrefslogtreecommitdiffstats
path: root/.github
diff options
context:
space:
mode:
authorAustin S. Hemmelgarn <austin@netdata.cloud>2023-06-07 16:59:26 -0400
committerGitHub <noreply@github.com>2023-06-07 16:59:26 -0400
commit4d5a1945d4e613757dbbd2ecfa105856bf0af0d7 (patch)
tree8676dc48fcf2cdebf974c2e5c7d2eed4674e61e2 /.github
parent66c85460199dbf65aad09cdfcdbae25c6bde265b (diff)
Make plugin packages hard dependencies. (#15160)
* Make plugin packages hard dependencies. May (hopefully) be reverted eventually, but for now this should resolve most if not all, of the current problems with native packages. * Fix typo in Debian control file. * Fix package test script. * Fix dependency ordering for DEB plugin packages. * Fix CUPS RPM dependency. * Fix package test script again. * Fix RPM nfacct plugin deps. * Split out user and group handling for DEB packages. This is needed to make the plugin package dependencies work correctly. * Final fix for package test script. * Fix permissions handling for RPM package. * Fix typo in spec file. * Fix another typo in RPM spec file.
Diffstat (limited to '.github')
-rwxr-xr-x.github/scripts/pkg-test.sh18
1 files changed, 5 insertions, 13 deletions
diff --git a/.github/scripts/pkg-test.sh b/.github/scripts/pkg-test.sh
index 45b8c320b6..a2ae9090cd 100755
--- a/.github/scripts/pkg-test.sh
+++ b/.github/scripts/pkg-test.sh
@@ -14,7 +14,7 @@ install_debian_like() {
# Install Netdata
# Strange quoting is required here so that glob matching works.
- apt-get install -y /netdata/artifacts/netdata_"${VERSION}"*_*.deb || exit 1
+ apt-get install -y $(find /netdata/artifacts -type f -name 'netdata*.deb' ! -name '*dbgsym*' ! -name '*cups*' ! -name '*freeipmi*') || exit 3
# Install testing tools
apt-get install -y --no-install-recommends curl "${netcat}" jq || exit 1
@@ -26,15 +26,13 @@ install_fedora_like() {
PKGMGR="$( (command -v dnf > /dev/null && echo "dnf") || echo "yum")"
- pkg_version="$(echo "${VERSION}" | tr - .)"
-
if [ "${PKGMGR}" = "dnf" ]; then
opts="--allowerasing"
fi
# Install Netdata
# Strange quoting is required here so that glob matching works.
- "$PKGMGR" install -y /netdata/artifacts/netdata-"${pkg_version}"-*.rpm || exit 1
+ "$PKGMGR" install -y /netdata/artifacts/netdata*.rpm || exit 1
# Install testing tools
"$PKGMGR" install -y curl nc jq || exit 1
@@ -46,8 +44,6 @@ install_centos() {
PKGMGR="$( (command -v dnf > /dev/null && echo "dnf") || echo "yum")"
- pkg_version="$(echo "${VERSION}" | tr - .)"
-
if [ "${PKGMGR}" = "dnf" ]; then
opts="--allowerasing"
fi
@@ -57,7 +53,7 @@ install_centos() {
# Install Netdata
# Strange quoting is required here so that glob matching works.
- "$PKGMGR" install -y /netdata/artifacts/netdata-"${pkg_version}"-*.rpm || exit 1
+ "$PKGMGR" install -y /netdata/artifacts/netdata*.rpm || exit 1
# Install testing tools
# shellcheck disable=SC2086
@@ -67,15 +63,13 @@ install_centos() {
install_amazon_linux() {
PKGMGR="$( (command -v dnf > /dev/null && echo "dnf") || echo "yum")"
- pkg_version="$(echo "${VERSION}" | tr - .)"
-
if [ "${PKGMGR}" = "dnf" ]; then
opts="--allowerasing"
fi
# Install Netdata
# Strange quoting is required here so that glob matching works.
- "$PKGMGR" install -y /netdata/artifacts/netdata-"${pkg_version}"-*.rpm || exit 1
+ "$PKGMGR" install -y /netdata/artifacts/netdata*.rpm || exit 1
# Install testing tools
# shellcheck disable=SC2086
@@ -86,11 +80,9 @@ install_suse_like() {
# Using a glob pattern here because I can't reliably determine what the
# resulting package name will be (TODO: There must be a better way!)
- pkg_version="$(echo "${VERSION}" | tr - .)"
-
# Install Netdata
# Strange quoting is required here so that glob matching works.
- zypper install -y --allow-unsigned-rpm /netdata/artifacts/netdata-"${pkg_version}"-*.rpm || exit 1
+ zypper install -y --allow-unsigned-rpm /netdata/artifacts/netdata*.rpm || exit 1
# Install testing tools
zypper install -y --no-recommends curl netcat-openbsd jq || exit 1